## Using default values from https://github.com/grafana/helm-charts/blob/main/charts/grafana/values.yaml
##
grafana:
  adminPassword: "**REDACTED**"

  # persistence:
  #   enabled: true
  #   type: pvc
  #   storageClassName: longhorn
  #   accessModes:
  #   - ReadWriteOnce
  #   size: 1Gi
  #   finalizers:
  #   - kubernetes.io/pvc-protection

  ## Grafana's primary configuration
  ## NOTE: values in map will be converted to ini format
  ## ref: http://docs.grafana.org/installation/configuration/
  ##
  grafana.ini:
    ## grafana Authentication can be enabled with the following values on grafana.ini
    server:
      # The full public facing url you use in browser, used for redirects and emails
      root_url: https://prometheus.vce2.ncaecybergames.org
    ## Keycloak Auth
    auth.generic_oauth:
      enabled: true
      scopes: openid email profile
      name: Oauth
      tls_skip_verify_insecure: false
      allow_sign_up: true
      client_id: grafana
      client_secret: "**REDACTED**"
      auth_url: https://auth.c2games.org/realms/dev/protocol/openid-connect/auth
      token_url: https://auth.c2games.org/realms/dev/protocol/openid-connect/token
      api_url: https://auth.c2games.org/realms/dev//protocol/openid-connect/userinfo
      role_attribute_path: contains(resource_access.grafana.roles[*], 'admin') && 'Admin' || contains(resource_access.grafana.roles[*], 'editor') && 'Editor'
      role_attribute_strict: true

## Deploy a Prometheus instance
##
prometheus:

  ## Settings affecting prometheusSpec
  ## ref: https://github.com/prometheus-operator/prometheus-operator/blob/main/Documentation/api.md#prometheusspec
  prometheusSpec:

    ## How long to retain metrics
    # retention: 10d
    retention: ""

    ## Maximum size of metrics
    retentionSize: "4GiB"


    ## Prometheus StorageSpec for persistent data
    ## ref: https://github.com/prometheus-operator/prometheus-operator/blob/main/Documentation/user-guides/storage.md
    storageSpec:
      # ## Using tmpfs volume
      # ##
      # emptyDir:
      #   medium: Memory
      ## Using PersistentVolumeClaim
      ##
      volumeClaimTemplate:
        # selector: {}
        spec:
          storageClassName: longhorn-1-replica
          accessModes: ["ReadWriteOnce"]
          resources:
            requests:
              storage: 5Gi
